API documentation | API docs for agents | OpenAPI 3.1

POST /api/v1/loads/{loadId}/tracking/start

ark.start_tracking

Starts MacroPoint, TruckerTools, or internal ARK tracking for a visible dispatched load.

Availability
Expanded preview
Scopes
loads:dispatch
ARK permissions
canAssignLoads
Team visibility
Required and enforced
Idempotency-Key
Required for this write
Approval
No MCP approval on REST API-token calls
Rate limit
API credential and organization budgets

Parameters

loadIdpathstringrequired
format: uuid
Idempotency-Keyheaderstringrequired
Required for external write operations. Reuse the same key only for exact retries of the same request body.
min length: 1; max length: 200

Request body

providerstring

one of: macropoint, truckertools, internal

trackStartDateTimestring

Required for MacroPoint tracking.

max length: 100

trackDurationHoursnumber

Required for MacroPoint tracking.

min: 1; max: 720

trackIntervalMinutesinteger

Required for MacroPoint tracking.

min: 5; max: 1440

emailCopiesTostring | null

max length: 1000

notesstring | null

max length: 5000

minTempnumber | null
maxTempnumber | null
tempUoMstring

one of: fahrenheit, celsius

dispatchIdstring

Required when provider is internal.

format: uuid

geofenceRadiusMilesnumber

min: 0.1; max: 50

consentConfirmedboolean
consentMethodstring

one of: verbal, written, electronic

Example request

Shell
curl -X POST 'https://arktms.com/api/v1/loads/<loadId>/tracking/start' \
  -H "Authorization: Bearer $ARK_API_TOKEN" \
  -H "Idempotency-Key: <unique-key>" \
  -H "Content-Type: application/json" \
  -d '{}'

Success response

Started tracking

objectstringrequired
okbooleanrequired
api_versionstringrequired
request_idstringrequired
dataobjectrequired
data.loadIdstringrequired

format: uuid

data.providerstring | nullrequired

one of: macropoint, truckertools, internal, null

data.trackingIdstring | nullrequired
data.successbooleanrequired
data.messagestringrequired

Errors

HTTP 400
Invalid request
HTTP 401
Authentication required
HTTP 403
Permission, scope, team, or entitlement denied
HTTP 404
Resource not found
HTTP 409
Idempotency conflict or in-progress retry